GET
/groundstation
http://groundstation.{region}.amazonaws.com/groundstationReturns a list of ground stations.
Access Token Required: API Key
Query Params
maxResultsinteger
Maximum number of ground stations returned.
nextTokenstring
Next token that can be supplied in the next call to get the next page of ground stations.
satelliteIdstring
Satellite ID to retrieve on-boarded ground stations.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://groundstation.{region}.amazonaws.com/groundstation' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}